## cloog-ppl 0.16.1

=== cloog-core/examples/example/Makefile ===
# Please enter here the locations for CloogLib include and libraries if they
# aren't the default values (/usr/lib and /usr/include).
CLOOG_INC = $(HOME)/progs/linux/include
CLOOG_LIB = $(HOME)/progs/linux/lib

CC = gcc
LDLIBS= -lcloog
CFLAGS= -I $(CLOOG_INC) -L $(CLOOG_LIB)


example: example.c
	@echo "             /*-----------------------------------------------*"
	@echo "              *                Making example                 *"
	@echo "              *-----------------------------------------------*/"
	$(CC) example.c -o example $(CFLAGS) $(LDLIBS)

clean:
	@echo "             /*-----------------------------------------------*"
	@echo "              *               Cleaning example                *"
	@echo "              *-----------------------------------------------*/"
	-rm -f example example.exe core

## cloog-ppl 0.15.7-maemo1

=== debian/changelog ===
cloog-ppl (0.15.7-maemo1) fremantle; urgency=low

  * Maemo port of Ubuntu lucid version

 -- Thomas Tanner <tanner@maemory.com>  Fri, 05 Feb 2010 00:00:00 +0100

cloog-ppl (0.15.7-1) unstable; urgency=low

  * New upstream version. Closes: #541842.
  * Add watch file.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Aug 2009 16:16:19 +0200

cloog-ppl (0.15-2) unstable; urgency=low

  * Add info dir entry. Closes: #528879.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Aug 2009 11:17:55 +0200

cloog-ppl (0.15-1) unstable; urgency=low

  * cloog-ppl 0.15 release.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Dec 2008 15:35:51 +0100

cloog-ppl (0.15~git20081008-2) unstable; urgency=low

  * (Build)-depend on libppl0.10-dev instead of libppl-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Nov 2008 06:49:12 +0200

cloog-ppl (0.15~git20081008-1) unstable; urgency=low

  * Update to 0.15 git 20081008.
  * Tighten build dependency on ppl.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Oct 2008 08:30:20 +0200

cloog-ppl (0.15~git20080903-3) unstable; urgency=low

  * Build using ppl (>= 0.10~pre27).
  * Merge from Ubuntu:
    - Rename ppl_version_* functions to cloog_version_*.

 -- Matthias Klose <doko@debian.org>  Fri, 12 Sep 2008 08:38:13 +0200

cloog-ppl (0.15~git20080915-2) unstable; urgency=low

  * Build-depend on texinfo. Closes: #499741.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Sep 2008 18:07:08 +0200

cloog-ppl (0.15~git20080915-1) unstable; urgency=low

  * Update to 0.15 git 20080915.
    - Rename ppl_version_* functions to cloog_version_*.
    - Remove test/reports from the source tarball.
  * Build using ppl (>= 0.10~pre27).
  * debian/copyright: Update.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Sep 2008 21:53:39 +0200

cloog-ppl (0.15~git20080903-2) experimental; urgency=low

  * debian/copyright: Add GFDL.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2008 20:08:31 +0200

cloog-ppl (0.15~git20080903-1) experimental; urgency=low

  * Initial release (build dependency of gcc-snapshot / GCC-4.4).
  * Change the soname to libcloog-ppl, to be able to allow parallel
    installation with cloog configured with polylib.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2008 16:38:37 +0200

=== debian/control ===
Source: cloog-ppl
Priority: optional
Maintainer: Thomas Tanner <tanner@maemory.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, libppl0.10-dev, libgmp3-dev, texinfo
Standards-Version: 3.8.3
Section: libs
Homepage: http://www.CLooG.org

Package: libcloog-ppl-dev
Section: libdevel
Architecture: any
Depends: libppl0.10-dev, libgmp3-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.14.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Description: the Chunky Loop Generator (development files)
 CLooG is a software which generates loops for scanning Z-polyhedra. That is,
 CLooG finds the code or pseudo-code where each integral point of one or more
 parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
 designed to avoid control overhead and to produce a very efficient code.
 .
 This package contains the development files and the cloog binary.

Package: libcloog-ppl0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: the Chunky Loop Generator (runtime library)
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the runtime library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	chmod +x configure
#	./configure $(CROSS) --prefix=/usr --with-ppl \
#		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	./configure $(CROSS) --prefix=/usr --with-ppl \
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS) -Wl,-z,defs"
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-$(MAKE) check
endif
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f *-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f doc/*.info
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	rm -f debian/tmp/usr/share/info/dir*
	dh_install --sourcedir=debian/tmp --list-missing
	ln -sf libcloog-ppl.a debian/libcloog-ppl-dev/usr/lib/libcloog.a
	ln -sf libcloog-ppl.so debian/libcloog-ppl-dev/usr/lib/libcloog.so


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installinfo
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15~git20081008)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cloog-ppl 0.15.9-maemo1

=== debian/changelog ===
cloog-ppl (0.15.9-maemo1) unstable; urgency=medium

  * For Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 20 Sep 2011 10:53:08 +0200

cloog-ppl (0.15.9-2) unstable; urgency=medium

  * Set the soname to `libcloog-debian.0'. The currently used name is
    used for the next (incompatible) upstream version.  Still provide
    the old name until the gcc-4.4, gcj-4.4 and gnat-4.4 packages are
    rebuilt.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Aug 2010 03:53:08 +0200

cloog-ppl (0.15.9-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Apr 2010 18:21:15 +0200

cloog-ppl (0.15.8-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Feb 2010 16:10:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: cloog-ppl
 Priority: optional
-Maintainer: Thomas Tanner <tanner@maemory.com>
-XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 5), autotools-dev, libppl0.10-dev, libgmp3-dev, texinfo
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://www.CLooG.org
 
 Package: libcloog-ppl-dev
 Section: libdevel
 Architecture: any
-Depends: libppl0.10-dev, libgmp3-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.14.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
+Depends: libppl0.10-dev, libgmp3-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
 Description: the Chunky Loop Generator (development files)
  CLooG is a software which generates loops for scanning Z-polyhedra. That is,
  CLooG finds the code or pseudo-code where each integral point of one or more

=== debian/rules ===
--- 
+++ 
@@ -46,8 +46,12 @@
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	rm -f debian/tmp/usr/share/info/dir*
 	dh_install --sourcedir=debian/tmp --list-missing
+	ln -sf libcloog-debian.a debian/libcloog-ppl-dev/usr/lib/libcloog-ppl.a
+	ln -sf libcloog-debian.so debian/libcloog-ppl-dev/usr/lib/libcloog-ppl.so
 	ln -sf libcloog-ppl.a debian/libcloog-ppl-dev/usr/lib/libcloog.a
 	ln -sf libcloog-ppl.so debian/libcloog-ppl-dev/usr/lib/libcloog.so
+
+	ln -sf libcloog-debian.so.0 debian/libcloog-ppl0/usr/lib/libcloog-ppl.so.0
 
 
 # Build architecture-independent files here.
@@ -65,11 +69,10 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15~git20081008)'
+	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15.9-2~)'
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
 	dh_md5sums
 	dh_builddeb

## cloog-ppl 0.15.9-maemo2

=== debian/changelog ===
cloog-ppl (0.15.9-maemo2) unstable; urgency=medium

  * For Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 20 Sep 2011 10:53:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: libcloog-ppl-dev
 Section: libdevel
 Architecture: any
-Depends: libppl0.10-dev, libgmp3-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
+Depends: libppl0.10-dev, libgmp3-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.14.25) | install-info, ${shlibs:Depends}, ${misc:Depends}
 Description: the Chunky Loop Generator (development files)
  CLooG is a software which generates loops for scanning Z-polyhedra. That is,
  CLooG finds the code or pseudo-code where each integral point of one or more

## cloog-ppl 0.15.11

=== debian/changelog ===
cloog-ppl (0.15.11-4) unstable; urgency=low

  * Install the cloog binary as cloog-ppl, provide cloog as an alternative.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Dec 2011 18:50:25 +0100

cloog-ppl (0.15.11-3.1) unstable; urgency=low

  * NMU: Fix help2man invocation a little harder, so it actually works.

 -- Adam Conrad <adconrad@debian.org>  Thu, 08 Dec 2011 09:56:52 -0700

cloog-ppl (0.15.11-3) unstable; urgency=low

  * Fix help2man invocation.

 -- Matthias Klose <doko@debian.org>  Thu, 08 Dec 2011 13:13:05 +0100

cloog-ppl (0.15.11-2) unstable; urgency=low

  * Add build dependency on help2man.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Dec 2011 02:09:43 +0100

cloog-ppl (0.15.11-1) unstable; urgency=low

  * Build multiarch packages.
  * Split out the binary into a new cloog-ppl package.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Dec 2011 12:47:59 +0100

cloog-ppl (0.15.9-3) unstable; urgency=low

  * Build against PPL 0.11.
  * Move to libgmp-dev instead of libgmp3-dev.

 -- Michael Tautschnig <mt@debian.org>  Tue, 08 Mar 2011 16:01:52 +0100

=== debian/control ===
Source: cloog-ppl
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Michael Tautschnig <mt@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, libppl0.11-dev, libgmp-dev, texinfo, help2man
Standards-Version: 3.9.2
Section: libs
Homepage: http://www.CLooG.org

Package: libcloog-ppl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libppl0.11-dev, libgmp-dev, libcloog-ppl0 (= ${binary:Version}), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Description: Chunky Loop Generator (development files)
 CLooG is a software which generates loops for scanning Z-polyhedra. That is,
 CLooG finds the code or pseudo-code where each integral point of one or more
 parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
 designed to avoid control overhead and to produce a very efficient code.
 .
 This package contains the development files.

Package: libcloog-ppl0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chunky Loop Generator (runtime library)
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the runtime library.

Package: cloog-ppl
Section: devel
Architecture: any
Depends: libcloog-ppl0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: libcloog-ppl-dev (<< 0.15.9-4)
Description: Chunky Loop Generator
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the cloog binary.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

configure: configure-stamp
configure-stamp:
	dh_testdir
	chmod +x configure
#	./configure $(CROSS) \
#		--prefix=/usr \
#		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
#		--with-ppl \
#		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	./configure $(CROSS) \
		--prefix=/usr \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--with-ppl \
		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch $@

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-$(MAKE) check
endif
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f *-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f doc/*.info
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	mv debian/tmp/usr/bin/cloog debian/tmp/usr/bin/cloog-ppl
	rm -f debian/tmp/usr/share/info/dir*
	mkdir -p debian/tmp/usr/share/man/man1
	LD_PRELOAD=$${LD_PRELOAD:+$$LD_PRELOAD:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-debian.so.0 \
	PATH=$(CURDIR)/debian/tmp/usr/bin:$$PATH \
		help2man -n 'The Chunky Loop Genertor' cloog-ppl \
		> debian/tmp/usr/share/man/man1/cloog-ppl.1
	dh_install --sourcedir=debian/tmp --list-missing
	ln -sf libcloog-debian.a debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.a
	ln -sf libcloog-debian.so debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so
	ln -sf libcloog-ppl.a debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog.a
	ln -sf libcloog-ppl.so debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog.so

	ln -sf libcloog-debian.so.0 debian/libcloog-ppl0/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so.0


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installinfo
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15.9-3~)'
	dh_installdeb
	dh_shlibdeps
	dh_lintian
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cloog-ppl 0.16.1

=== debian/changelog ===
cloog-ppl (0.16.1-8) unstable; urgency=medium

  * Drop versioned automake dependency. Closes: #865154.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Aug 2017 10:26:00 -0400

cloog-ppl (0.16.1-7) unstable; urgency=medium

  * Build using PPL 1.2.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Nov 2016 14:04:21 +0100

cloog-ppl (0.16.1-6) unstable; urgency=medium

  * The library has a LGPL-2.1 copyright, not GPL. LP: #1271160.
  * Enable parallel builds.
  * Bump debhelper to v9.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Dec 2015 11:14:16 +0100

cloog-ppl (0.16.1-5) unstable; urgency=medium

  * Rebuild using ppl 1.1.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2014 19:57:49 +0100

cloog-ppl (0.16.1-4) unstable; urgency=medium

  * Patch m4/libtool.m4 for powerpc64le and regenerate configure.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Dec 2013 23:26:23 +0100

cloog-ppl (0.16.1-3) unstable; urgency=low

  * Use dh_autotools-dev_* to update config.guess/config.sub for
    arm64 (Colin Watson). Closes: #711727.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jun 2013 16:02:25 +0200

cloog-ppl (0.16.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 16:35:43 +0200

cloog-ppl (0.16.1-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2013 02:51:16 +0100

cloog-ppl (0.15.11-5) unstable; urgency=low

  * Drop the help2man build dependency, and install a pre-generated
    man page when cross-building the package.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Dec 2012 13:49:25 +0100

=== debian/control ===
Source: cloog-ppl
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>, Michael Tautschnig <mt@debian.org>
Build-Depends: debhelper (>= 9),
  autotools-dev,
  automake,
  libppl-dev (>= 1:1.2),
  libgmp-dev,
  texinfo
Standards-Version: 4.0.1
Section: libs
Homepage: http://www.CLooG.org

Package: libcloog-ppl-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libppl-dev (>= 1:1.2), libgmp-dev,
  libcloog-ppl1 (= ${binary:Version}),
  dpkg (>= 1.15.4) | install-info,
  ${shlibs:Depends}, ${misc:Depends}
Description: Chunky Loop Generator (development files)
 CLooG is a software which generates loops for scanning Z-polyhedra. That is,
 CLooG finds the code or pseudo-code where each integral point of one or more
 parametrized polyhedron or parametrized polyhedra union is reached. CLooG is
 designed to avoid control overhead and to produce a very efficient code.
 .
 This package contains the development files.

Package: libcloog-ppl1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Chunky Loop Generator (runtime library)
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the runtime library.

Package: cloog-ppl
Section: devel
Architecture: any
Depends: libcloog-ppl1 (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Replaces: libcloog-ppl-dev (<< 0.15.9-4)
Description: Chunky Loop Generator
 CLooG is a software which generates loops for scanning Z-polyhedra.
 .
 This package contains the cloog binary.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+COMMA = ,
+ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
+endif
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -12,12 +17,12 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS := $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
-configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	chmod +x configure
 #	./configure $(CROSS) \
 #		--prefix=/usr \
@@ -36,7 +41,7 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	$(MAKE)
+	$(MAKE) $(NJOBS)
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	-$(MAKE) check
 endif
@@ -48,6 +53,7 @@
 	rm -f *-stamp 
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f doc/*.info
+	dh_autotools-dev_restoreconfig
 	dh_clean 
 
 install: build
@@ -59,18 +65,16 @@
 	mv debian/tmp/usr/bin/cloog debian/tmp/usr/bin/cloog-ppl
 	rm -f debian/tmp/usr/share/info/dir*
 	mkdir -p debian/tmp/usr/share/man/man1
-	LD_PRELOAD=$${LD_PRELOAD:+$$LD_PRELOAD:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-debian.so.0 \
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	if which help2man >/dev/null 2>&1; then \
+	LD_PRELOAD=$${LD_PRELOAD:+$$LD_PRELOAD:}$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so.1 \
 	PATH=$(CURDIR)/debian/tmp/usr/bin:$$PATH \
 		help2man -n 'The Chunky Loop Genertor' cloog-ppl \
-		> debian/tmp/usr/share/man/man1/cloog-ppl.1
+		> debian/cloog-ppl.1; \
+	fi
+endif
+	cp debian/cloog-ppl.1 debian/tmp/usr/share/man/man1/
 	dh_install --sourcedir=debian/tmp --list-missing
-	ln -sf libcloog-debian.a debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.a
-	ln -sf libcloog-debian.so debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so
-	ln -sf libcloog-ppl.a debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog.a
-	ln -sf libcloog-ppl.so debian/libcloog-ppl-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog.so
-
-	ln -sf libcloog-debian.so.0 debian/libcloog-ppl0/usr/lib/$(DEB_HOST_MULTIARCH)/libcloog-ppl.so.0
-
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -87,7 +91,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs -V 'libcloog-ppl0 (>= 0.15.9-3~)'
+	dh_makeshlibs -V 'libcloog-ppl1'
 	dh_installdeb
 	dh_shlibdeps
 	dh_lintian

=== debian/watch ===
version=3
ftp://gcc.gnu.org/pub/gcc/infrastructure/cloog-ppl-([\d\.]*).tar.gz
